require("../../../_virtual/_rolldown/runtime.js");
const require_objectSpread2 = require("../../../_virtual/_@oxc-project_runtime@0.122.0/helpers/objectSpread2.js");
const { Provider, Context } = (0, require("@pisell/utils").miniRedux)({
	namespace: "state",
	state: {},
	reducers: {
		setState(state, payload) {
			return require_objectSpread2._objectSpread2(require_objectSpread2._objectSpread2({}, state), payload);
		},
		setForm(state, payload) {
			state.setGlobalState({ form: require_objectSpread2._objectSpread2(require_objectSpread2._objectSpread2({}, state.form), payload) });
		}
	}
});
//#endregion
exports.Context = Context;
exports.Provider = Provider;
